<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-notaris-heading" data-cy="NotarisCreateUpdateHeading">Create or edit a Notaris</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_namaShort">Nama Short</label>
          <input type="text" class="form-control" name="namaShort" id="field_namaShort" data-cy="namaShort" formControlName="namaShort" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_titelShortOne">Titel Short One</label>
          <input
            type="text"
            class="form-control"
            name="titelShortOne"
            id="field_titelShortOne"
            data-cy="titelShortOne"
            formControlName="titelShortOne"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_titelShortTwo">Titel Short Two</label>
          <input
            type="text"
            class="form-control"
            name="titelShortTwo"
            id="field_titelShortTwo"
            data-cy="titelShortTwo"
            formControlName="titelShortTwo"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_titelLongOne">Titel Long One</label>
          <input
            type="text"
            class="form-control"
            name="titelLongOne"
            id="field_titelLongOne"
            data-cy="titelLongOne"
            formControlName="titelLongOne"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_titelLongTwo">Titel Long Two</label>
          <input
            type="text"
            class="form-control"
            name="titelLongTwo"
            id="field_titelLongTwo"
            data-cy="titelLongTwo"
            formControlName="titelLongTwo"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_wilayahKerja">Wilayah Kerja</label>
          <input
            type="text"
            class="form-control"
            name="wilayahKerja"
            id="field_wilayahKerja"
            data-cy="wilayahKerja"
            formControlName="wilayahKerja"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kedudukan">Kedudukan</label>
          <input type="text" class="form-control" name="kedudukan" id="field_kedudukan" data-cy="kedudukan" formControlName="kedudukan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_sk">Sk</label>
          <input type="text" class="form-control" name="sk" id="field_sk" data-cy="sk" formControlName="sk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglSk">Tgl Sk</label>
          <div class="input-group">
            <input
              id="field_tglSk"
              data-cy="tglSk"
              type="text"
              class="form-control"
              name="tglSk"
              ngbDatepicker
              #tglSkDp="ngbDatepicker"
              formControlName="tglSk"
            />
            <button type="button" class="btn btn-secondary" (click)="tglSkDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jenisHariKerja">Jenis Hari Kerja</label>
          <input
            type="number"
            class="form-control"
            name="jenisHariKerja"
            id="field_jenisHariKerja"
            data-cy="jenisHariKerja"
            formControlName="jenisHariKerja"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamKerjaAwalOne">Jam Kerja Awal One</label>
          <div class="d-flex">
            <input
              id="field_jamKerjaAwalOne"
              data-cy="jamKerjaAwalOne"
              type="datetime-local"
              class="form-control"
              name="jamKerjaAwalOne"
              formControlName="jamKerjaAwalOne"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamKerjaAkhirOne">Jam Kerja Akhir One</label>
          <div class="d-flex">
            <input
              id="field_jamKerjaAkhirOne"
              data-cy="jamKerjaAkhirOne"
              type="datetime-local"
              class="form-control"
              name="jamKerjaAkhirOne"
              formControlName="jamKerjaAkhirOne"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamKerjaAwalTwo">Jam Kerja Awal Two</label>
          <div class="d-flex">
            <input
              id="field_jamKerjaAwalTwo"
              data-cy="jamKerjaAwalTwo"
              type="datetime-local"
              class="form-control"
              name="jamKerjaAwalTwo"
              formControlName="jamKerjaAwalTwo"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamKerjaAkhirTwo">Jam Kerja Akhir Two</label>
          <div class="d-flex">
            <input
              id="field_jamKerjaAkhirTwo"
              data-cy="jamKerjaAkhirTwo"
              type="datetime-local"
              class="form-control"
              name="jamKerjaAkhirTwo"
              formControlName="jamKerjaAkhirTwo"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_selisihPukul">Selisih Pukul</label>
          <input
            type="number"
            class="form-control"
            name="selisihPukul"
            id="field_selisihPukul"
            data-cy="selisihPukul"
            formControlName="selisihPukul"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamRestAwalOne">Jam Rest Awal One</label>
          <div class="d-flex">
            <input
              id="field_jamRestAwalOne"
              data-cy="jamRestAwalOne"
              type="datetime-local"
              class="form-control"
              name="jamRestAwalOne"
              formControlName="jamRestAwalOne"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamRestAkhirOne">Jam Rest Akhir One</label>
          <div class="d-flex">
            <input
              id="field_jamRestAkhirOne"
              data-cy="jamRestAkhirOne"
              type="datetime-local"
              class="form-control"
              name="jamRestAkhirOne"
              formControlName="jamRestAkhirOne"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamRestAwalTwo">Jam Rest Awal Two</label>
          <div class="d-flex">
            <input
              id="field_jamRestAwalTwo"
              data-cy="jamRestAwalTwo"
              type="datetime-local"
              class="form-control"
              name="jamRestAwalTwo"
              formControlName="jamRestAwalTwo"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jamRestAkhirTwo">Jam Rest Akhir Two</label>
          <div class="d-flex">
            <input
              id="field_jamRestAkhirTwo"
              data-cy="jamRestAkhirTwo"
              type="datetime-local"
              class="form-control"
              name="jamRestAkhirTwo"
              formControlName="jamRestAkhirTwo"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_maksAkta">Maks Akta</label>
          <input type="number" class="form-control" name="maksAkta" id="field_maksAkta" data-cy="maksAkta" formControlName="maksAkta" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_maksOrderHarian">Maks Order Harian</label>
          <input
            type="number"
            class="form-control"
            name="maksOrderHarian"
            id="field_maksOrderHarian"
            data-cy="maksOrderHarian"
            formControlName="maksOrderHarian"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_lembarSk">Lembar Sk</label>
          <input type="text" class="form-control" name="lembarSk" id="field_lembarSk" data-cy="lembarSk" formControlName="lembarSk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_lembarSumpah">Lembar Sumpah</label>
          <input
            type="text"
            class="form-control"
            name="lembarSumpah"
            id="field_lembarSumpah"
            data-cy="lembarSumpah"
            formControlName="lembarSumpah"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_alamatKantor">Alamat Kantor</label>
          <input
            type="text"
            class="form-control"
            name="alamatKantor"
            id="field_alamatKantor"
            data-cy="alamatKantor"
            formControlName="alamatKantor"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_alamatEmail">Alamat Email</label>
          <input
            type="text"
            class="form-control"
            name="alamatEmail"
            id="field_alamatEmail"
            data-cy="alamatEmail"
            formControlName="alamatEmail"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noKontak">No Kontak</label>
          <input type="text" class="form-control" name="noKontak" id="field_noKontak" data-cy="noKontak" formControlName="noKontak" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_recordStatus">Record Status</label>
          <input
            type="number"
            class="form-control"
            name="recordStatus"
            id="field_recordStatus"
            data-cy="recordStatus"
            formControlName="recordStatus"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_penerimaKuasa">Penerima Kuasa</label>
          <select
            class="form-control"
            id="field_penerimaKuasa"
            data-cy="penerimaKuasa"
            name="penerimaKuasa"
            formControlName="penerimaKuasa"
            [compareWith]="comparePenerimaKuasa"
          >
            <option [ngValue]="null"></option>
            @for (penerimaKuasaOption of penerimaKuasasCollection; track $index) {
              <option [ngValue]="penerimaKuasaOption">{{ penerimaKuasaOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
